import React from 'react';

export default class BaseSystem{
	constructor(){
		this.__update = null;
	}


	onUpdate(fn){
		this.__update = fn;
		return this;
	}

	forceUpdate(props){
		return this.__update && this.__update(props);
	}
}